package app.mealsmadeeasy.api.user.view;

import app.mealsmadeeasy.api.user.User;
import lombok.Value;

@Value
public class UserInfoView {

    public static UserInfoView from(User user) {
        return new UserInfoView(user.getId(), user.getUsername());
    }

    Integer id;
    String username;

}
